//
//  XAPlugin.h
//  XAPlugin
//
//  Created by rosst on Fri Apr 13 2001.
//  Copyright (c) 2001 __CompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

// ============================
// == Change "SetVolume" below to your plugin name.
// == Once you build the plugin, place it into the "X-Assist Plugins" folder
// == and everything should just load.
// == NOTE: you MUST use a unique name, otherwise the conflicting plugins
// ==       will NOT load.
// ============================

@interface SetVolume : NSObject {
    NSMenuItem*	mPluginMenuItem;
    
    // Your variables go here...
    long	mCurVolume;
}

- (id)init;
- (void)shutdownPlugin;


// =============================
// == Required Plugin Routine ==
// =============================

// == API VERSION 1 ROUTINES ==

// This routine is called to obtain a menu item to be inserted into the menu.
- (NSMenuItem*)getMenuItem;

// items below are for future use.
- (int)getPluginAPIVersion;
- (int)getMenuItemInsertLocation;

- (NSString*)getPluginDescription;	// return info & copyright etc.
- (void)doConfigurePlugin;		// put up config window...

// == API VERSION 2 ROUTINES ==


// =============================

// User defined routines.
- (IBAction)DoSetSysBeepVolumeTo:(id)sender;
- (IBAction)DoSetSystemVolumeTo:(id)sender;



@end